Index: qoca/QcLinInEqTableau.hh
===================================================================
--- qoca/QcLinInEqTableau.hh	(revision 18891)
+++ qoca/QcLinInEqTableau.hh	(working copy)
@@ -174,7 +174,7 @@
 	//-----------------------------------------------------------------------//
 	// Utility functions.                                                    //
 	//-----------------------------------------------------------------------//
-	virtual void Print(ostream &os) const
+	virtual void Print(std::ostream &os) const
   		{ QcLinEqTableau::Print(os); }
 
 protected:
@@ -235,7 +235,7 @@
 #ifndef NDEBUG
       if (!QcUtility::IsZero (rhs))
 	{
-	  cerr << "DBG: N.B.: found near-zero non-zero RHS.\n";
+	  std::cerr << "DBG: N.B.: found near-zero non-zero RHS.\n";
 	  //*(char *)0=0;
 	  //return rhs;
 	}
Index: qoca/QcSparseCoeff.hh
===================================================================
--- qoca/QcSparseCoeff.hh	(revision 18891)
+++ qoca/QcSparseCoeff.hh	(working copy)
@@ -27,7 +27,7 @@
 #ifndef __QcSparseCoeffH
 #define __QcSparseCoeffH
 
-#include <iostream.h>
+#include <iostream>
 
 class QcSparseCoeff
 {
@@ -62,7 +62,7 @@
 	//-----------------------------------------------------------------------//
 	// Utility function                                                      //
 	//-----------------------------------------------------------------------//
-  	void Print(ostream &os) const
+  	void Print(std::ostream &os) const
 		{ os << "[" << fIndex << "," << fValue << "]"; }
 
 
Index: qoca/QcLinInEqRowColStateVector.H
===================================================================
--- qoca/QcLinInEqRowColStateVector.H	(revision 18891)
+++ qoca/QcLinInEqRowColStateVector.H	(working copy)
@@ -1,7 +1,6 @@
 // Generated automatically from QcLinInEqRowColStateVector.ch by /home/pmoulder/usr/local/bin/ch2xx.
 #ifndef QcLinInEqRowColStateVectorDCL
 #define QcLinInEqRowColStateVectorDCL
-#line 1 "QcLinInEqRowColStateVector.ch"
 // $Id: QcLinInEqRowColStateVector.ch,v 1.1 2000/11/29 04:31:16 pmoulder Exp $
 
 //============================================================================//
@@ -53,7 +52,6 @@
 
 virtual void
 SwapColumns(unsigned v1, unsigned v2);
-#line 142 "QcLinInEqRowColStateVector.ch"
 public:
 	QcLinInEqColStateVector *fColState;
 
Index: qoca/QcDelCoreTableau.cc
===================================================================
--- qoca/QcDelCoreTableau.cc	(revision 18891)
+++ qoca/QcDelCoreTableau.cc	(working copy)
@@ -30,6 +30,8 @@
 #include "qoca/QcDelCoreTableau.hh"
 #include "qoca/QcRowAdaptor.hh"
 
+using namespace std;
+
 unsigned QcDelCoreTableau::AddRow(QcRowAdaptor &varCoeffs, numT rhs)
 {
 	unsigned r = 0;     // Row of fA, col of fM, int for original constraint
Index: qoca/QcStateVector.hh
===================================================================
--- qoca/QcStateVector.hh	(revision 18891)
+++ qoca/QcStateVector.hh	(working copy)
@@ -27,7 +27,7 @@
 #ifndef __QcStateVectorH
 #define __QcStateVectorH
 
-#include <iostream.h>
+#include <iostream>
 #include "qoca/QcDefines.hh"
 #include "qoca/QcState.hh"
 
@@ -82,7 +82,7 @@
 	virtual void AddToList(QcState **start, QcState **finish) = 0;
 	virtual void RemoveFromList(QcState **start, QcState **finish) = 0;
 
-	virtual void Print(ostream &os) const;
+	virtual void Print(std::ostream &os) const;
 
 protected:
   QcState * const * const getAllocEnd() const
@@ -111,11 +111,11 @@
 	delete [] fStates;
 }
 
-inline void QcStateVector::Print(ostream &os) const
+inline void QcStateVector::Print(std::ostream &os) const
 {
 	for (unsigned i = 0; i < fSize; i++) {
 		fStates[i]->Print(os);
-		os << endl;
+		os << std::endl;
 	}
 }
 
Index: qoca/QcLinInEqRowColStateVector.hh
===================================================================
--- qoca/QcLinInEqRowColStateVector.hh	(revision 18891)
+++ qoca/QcLinInEqRowColStateVector.hh	(working copy)
@@ -2,7 +2,6 @@
 #include "QcLinInEqRowColStateVector.H"
 #ifndef QcLinInEqRowColStateVectorIFN
 #define QcLinInEqRowColStateVectorIFN
-#line 1 "QcLinInEqRowColStateVector.ch"
 // $Id: QcLinInEqRowColStateVector.ch,v 1.1 2000/11/29 04:31:16 pmoulder Exp $
 
 //============================================================================//
@@ -38,12 +37,10 @@
 
 
 
-#line 46 "QcLinInEqRowColStateVector.ch"
 //-----------------------------------------------------------------------//
 // Manipulation functions.                                               //
 //-----------------------------------------------------------------------//
 
-#line 147 "QcLinInEqRowColStateVector.ch"
 /*
   Local Variables:
   mode:c++
Index: qoca/QcUnsortedListSet.hh
===================================================================
--- qoca/QcUnsortedListSet.hh	(revision 18891)
+++ qoca/QcUnsortedListSet.hh	(working copy)
@@ -1,7 +1,7 @@
 #ifndef __QcUnsortedListSetH
 #define __QcUnsortedListSetH
 
-#include <vector.h>
+#include <vector>
 
 #if __GNUC__ >= 4
   template <class T, class Alloc = std::allocator<T> >
@@ -12,8 +12,8 @@
 {
 public:
 	typedef T value_type;
-	typedef value_type* iterator;
-	typedef value_type const * const_iterator;
+	typedef typename std::vector<T>::iterator iterator;
+	typedef typename std::vector<T>::const_iterator const_iterator;
 	typedef value_type& reference;
 	typedef const value_type& const_reference;
 	typedef size_t size_type;
@@ -34,11 +34,12 @@
 	{
 	}
 
-	iterator begin() { return elements.begin(); }
-	iterator end() { return elements.end(); }
+	// TODO: This really shouldn't rely on vector's iterator type being a pointer
+	iterator begin() { return (iterator)elements.begin(); }
+	iterator end() { return (iterator)elements.end(); }
 
-	iterator abegin() { return elements.begin(); }
-	iterator aend() { return elements.end(); }
+	iterator abegin() { return (iterator)elements.begin(); }
+	iterator aend() { return (iterator)elements.end(); }
 
 	const_iterator abegin() const { return elements.begin(); }
 	const_iterator aend() const { return elements.end(); }
@@ -83,6 +84,6 @@
 
 	   (The reason for using an instance variable is so that we can control
 	   the interface.) */
-	vector<T> elements;
+	std::vector<T> elements;
 };
 #endif /* !__QcUnsortedListSetH */
Index: qoca/QcCoreTableau.cc
===================================================================
--- qoca/QcCoreTableau.cc	(revision 18891)
+++ qoca/QcCoreTableau.cc	(working copy)
@@ -28,6 +28,8 @@
 #include "qoca/QcCoreTableau.hh"
 #include "qoca/QcRowAdaptor.hh"
 
+using namespace std;
+
 unsigned QcCoreTableau::AddRow(QcRowAdaptor &varCoeffs, numT rhs)
 {
 	unsigned r = 0;     // Row of fA, col of fM, int for original constraint
Index: qoca/QcOrigRowStateVector.hh
===================================================================
--- qoca/QcOrigRowStateVector.hh	(revision 18891)
+++ qoca/QcOrigRowStateVector.hh	(working copy)
@@ -2,7 +2,6 @@
 #include "QcOrigRowStateVector.H"
 #ifndef QcOrigRowStateVectorIFN
 #define QcOrigRowStateVectorIFN
-#line 1 "QcOrigRowStateVector.ch"
 // $Id: QcOrigRowStateVector.ch,v 1.2 2000/12/06 05:32:56 pmoulder Exp $
 // Originally written by Alan Finlay and Sitt Sen Chok
 
@@ -101,19 +100,17 @@
 // Manipulation functions.                                               //
 //-----------------------------------------------------------------------//
 
-#line 152 "QcOrigRowStateVector.ch"
 #ifndef NDEBUG
 
-#line 165 "QcOrigRowStateVector.ch"
 #endif
 
 
 
 
 inline void
-QcOrigRowStateVector::Print(ostream &os) const
+QcOrigRowStateVector::Print(std::ostream &os) const
 {
-  os << endl << "Original Row State Vector:";
+  os << std::endl << "Original Row State Vector:";
   QcStateVector::Print( os);
 }
 
Index: qoca/QcLinEqColStateVector.cc
===================================================================
--- qoca/QcLinEqColStateVector.cc	(revision 18891)
+++ qoca/QcLinEqColStateVector.cc	(working copy)
@@ -1,6 +1,5 @@
 // Generated automatically from QcLinEqColStateVector.ch by /home/pmoulder/usr/local/bin/ch2xx.
 #include "QcLinEqColStateVector.hh"
-#line 1 "QcLinEqColStateVector.ch"
 // $Id: QcLinEqColStateVector.ch,v 1.2 2000/12/06 05:32:56 pmoulder Exp $
 
 //============================================================================//
@@ -36,7 +35,6 @@
 
 
 
-#line 49 "QcLinEqColStateVector.ch"
 #ifndef NDEBUG
 
 
@@ -117,11 +115,9 @@
 //-----------------------------------------------------------------------//
 
 
-#line 151 "QcLinEqColStateVector.ch"
 //-----------------------------------------------------------------------//
 // Set functions.                                                        //
 //-----------------------------------------------------------------------//
-#line 172 "QcLinEqColStateVector.ch"
 void
 QcLinEqColStateVector::SetBasic(unsigned i, bool b)
 {
@@ -137,7 +133,6 @@
     }
 }
 
-#line 195 "QcLinEqColStateVector.ch"
 //-----------------------------------------------------------------------//
 // Manipulation functions.                                               //
 //-----------------------------------------------------------------------//
@@ -166,7 +161,6 @@
 }
 
 
-#line 254 "QcLinEqColStateVector.ch"
 void
 QcLinEqColStateVector::Alloc(QcState **start, QcState **finish)
 {
@@ -227,33 +221,32 @@
 
 
 void
-QcLinEqColStateVector::Print(ostream &os) const
+QcLinEqColStateVector::Print(std::ostream &os) const
 {
   QcQuasiColStateVector::Print(os);
-  os << endl << "Basic variable list:" << endl;
+  os << std::endl << "Basic variable list:" << std::endl;
   QcLinEqColState *curr = fBasicHead.fNextCol;
 
   while (curr != &fBasicHead)
     {
       curr->Print(os);
-      os << endl;
+      os << std::endl;
       curr = curr->fNextCol;
     }
 
-  os << endl << "Param variable list:" << endl;
+  os << std::endl << "Param variable list:" << std::endl;
   curr = fParamHead.fNextCol;
 
   while (curr != &fBasicHead)
     {
       curr->Print(os);
-      os << endl;
+      os << std::endl;
       curr = curr->fNextCol;
     }
 }
 
 
 
-#line 358 "QcLinEqColStateVector.ch"
 /*
   Local Variables:
   mode:c++
Index: qoca/QcIneqSolverBase.hh
===================================================================
--- qoca/QcIneqSolverBase.hh	(revision 18891)
+++ qoca/QcIneqSolverBase.hh	(working copy)
@@ -2,7 +2,6 @@
 #include "QcIneqSolverBase.H"
 #ifndef QcIneqSolverBaseIFN
 #define QcIneqSolverBaseIFN
-#line 1 "QcIneqSolverBase.ch"
 
 #include <qoca/QcSolver.hh>
 
@@ -12,11 +11,12 @@
 
 
 
-inline
+/*inline
 QcIneqSolverBase::QcIneqSolverBase()
   : QcSolver(),
     fSystem()
 {
+	;
 }
 
 
@@ -25,16 +25,15 @@
   : QcSolver(),
     fSystem( hintNumConstraints, hintNumVariables)
 {
-}
+	;
+}*/
 
 
-#line 80 "QcIneqSolverBase.ch"
 //-----------------------------------------------------------------------//
 // Constraint management methods                                         //
 //-----------------------------------------------------------------------//
 
 
-#line 173 "QcIneqSolverBase.ch"
 /*
   Local Variables:
   mode:c++
Index: qoca/QcBiMapNotifier.hh
===================================================================
--- qoca/QcBiMapNotifier.hh	(revision 18891)
+++ qoca/QcBiMapNotifier.hh	(working copy)
@@ -78,7 +78,7 @@
 	//-----------------------------------------------------------------------//
 	// Utility functions.                                                    //
 	//-----------------------------------------------------------------------//
-	virtual void Print(ostream &os) const;
+	virtual void Print(std::ostream &os) const;
 };
 
 #ifndef NDEBUG
@@ -94,13 +94,13 @@
 	fOCMap.EraseByIndex(ci);
 }
 
-inline void QcBiMapNotifier::Print(ostream &os) const
+inline void QcBiMapNotifier::Print(std::ostream &os) const
 {
-	os << "Variables:" << endl;
+	os << "Variables:" << std::endl;
 	fVMap.Print(os);
-	os << endl << "Constraints:" << endl;
+	os << std::endl << "Constraints:" << std::endl;
 	fOCMap.Print(os);
-	os << endl;
+	os << std::endl;
 }
 
 inline void QcBiMapNotifier::Restart()
@@ -110,7 +110,7 @@
 }
 
 #ifndef qcNoStream
-inline ostream& operator<<(ostream& os, const QcBiMapNotifier &n)
+inline std::ostream& operator<<(std::ostream& os, const QcBiMapNotifier &n)
 {
 	n.Print(os);
 	return os;
Index: qoca/QcUtility.cc
===================================================================
--- qoca/QcUtility.cc	(revision 0)
+++ qoca/QcUtility.cc	(revision 0)
@@ -0,0 +1,9 @@
+#include <qoca/QcUtility.hh>
+
+/* Needed for GCC4, avoids undefined references */
+
+double const QcUtility::qcEps; //     = _QC_EPS;
+double const QcUtility::qcNearEps; // = 9.313225746154785e-10;   // 2 ** -30
+double const QcUtility::qcVaguelyNearEps; // = 9.5367431640625e-7; // 2 ** -20
+double const QcUtility::qcMaxZeroVal; // = _QC_EPS * (1 - DBL_EPSILON / 2);
+
Index: qoca/QcCassConstraint.hh
===================================================================
--- qoca/QcCassConstraint.hh	(revision 18891)
+++ qoca/QcCassConstraint.hh	(working copy)
@@ -44,7 +44,7 @@
 	//-----------------------------------------------------------------------//
 	// Utility functions                                                     //
 	//-----------------------------------------------------------------------//
-	virtual void Print(ostream &os) const;
+	virtual void Print(std::ostream &os) const;
 };
 
 inline QcCassConstraint::QcCassConstraint(QcFloat &v, QcConstraint &c,
@@ -53,7 +53,7 @@
 {
 }
 
-inline void QcCassConstraint::Print(ostream &os) const
+inline void QcCassConstraint::Print(std::ostream &os) const
 {
 	os << "CassConstraint("
 		<< fVariable << ","
Index: qoca/QcFloatRep.H
===================================================================
--- qoca/QcFloatRep.H	(revision 18891)
+++ qoca/QcFloatRep.H	(working copy)
@@ -1,7 +1,6 @@
 // Generated automatically from QcFloatRep.ch by /home/pmoulder/usr/local/bin/ch2xx.
 #ifndef QcFloatRepDCL
 #define QcFloatRepDCL
-#line 1 "QcFloatRep.ch"
 // $Id: QcFloatRep.ch,v 1.13 2001/01/10 05:01:51 pmoulder Exp $
 
 //============================================================================//
@@ -55,7 +54,6 @@
 
 QcFloatRep (const char *name, numT desval, numT sw, numT ew,
 	    bool restricted);
-#line 74 "QcFloatRep.ch"
 #ifndef NDEBUG
 bool isQcFloatRep() const
 { return fMagic == qcFloatMagic1; }
@@ -149,11 +147,8 @@
 
 
 inline char const *Name() const;
-#line 176 "QcFloatRep.ch"
 virtual void SetWeight (numT w);
-#line 183 "QcFloatRep.ch"
 virtual void SetValue (numT v);
-#line 194 "QcFloatRep.ch"
 /** Set the goal value of this variable to <tt>dv</tt>.
 
     <p>Note that many solvers ignore SuggestValue on variables that are not edit
@@ -161,7 +156,6 @@
 **/
 void
 SuggestValue (numT dv);
-#line 206 "QcFloatRep.ch"
 /** Sets field <tt>fName</tt> to point to a heap-allocated string with a hidden
     magic number field at the front.  (The magic number is qcFloatMagic2 without
     the '\0' terminator.)
@@ -170,9 +164,7 @@
     of lack of pointers.  The Java version consists of `fName = n'.)
 **/
 void SetName (char const *n);
-#line 248 "QcFloatRep.ch"
 inline void SetToGoal();
-#line 255 "QcFloatRep.ch"
 virtual void SetToEditWeight() = 0;
 
 virtual void SetToStayWeight() = 0;
@@ -191,15 +183,12 @@
 /** Called just before delete, to detect pointer corruption. */
 virtual void assertInvar() const;
 
-#line 296 "QcFloatRep.ch"
 /** Deallocates old name string checking magic2.
     Returns success indicator.
 **/
 bool FreeName();
-#line 321 "QcFloatRep.ch"
 /** Set variables to defaults (including getting a new fId). */
 inline void Reset();
-#line 330 "QcFloatRep.ch"
 bool operator<(const QcFloatRep &other) const
   // The comparisons are for when QcFloatRep is used
   // as an identifier and compares instances not structure.
@@ -227,8 +216,7 @@
 //-----------------------------------------------------------------------//
 
 
-virtual void Print (ostream &os) const;
-#line 372 "QcFloatRep.ch"
+virtual void Print (std::ostream &os) const;
 protected:
 	static TId fNextValidId;
 	static const TId fInvalidId = 0;
Index: qoca/QcCompPivotTableau.cc
===================================================================
--- qoca/QcCompPivotTableau.cc	(revision 18891)
+++ qoca/QcCompPivotTableau.cc	(working copy)
@@ -30,6 +30,8 @@
 #include "qoca/QcTableauColIterator.hh"
 #include "qoca/QcDenseTableauColIterator.hh"
 
+using namespace std;
+
 int QcCompPivotTableau::AddArtificial(numT coeff)
 {
 	int vi = IncreaseColumns();
Index: qoca/QcDelLinInEqTableau.cc
===================================================================
--- qoca/QcDelLinInEqTableau.cc	(revision 18891)
+++ qoca/QcDelLinInEqTableau.cc	(working copy)
@@ -29,6 +29,8 @@
 #include "qoca/QcSparseMatrixRowIterator.hh"
 #include "qoca/QcDenseMatrixColIterator.hh"
 
+using namespace std;
+
 int QcDelLinInEqTableau::AddGtEq(QcRowAdaptor &varCoeffs, numT rhs)
 {
 	int r = AddEq(varCoeffs, rhs);
Index: qoca/QcQuasiRowState.hh
===================================================================
--- qoca/QcQuasiRowState.hh	(revision 18891)
+++ qoca/QcQuasiRowState.hh	(working copy)
@@ -59,7 +59,7 @@
   //-----------------------------------------------------------------------//
   // Utililty functions.                                                   //
   //-----------------------------------------------------------------------//
-  virtual void Print(ostream &os);
+  virtual void Print(std::ostream &os);
 
 public:
   int fIndex;	// The property vector index of this record.
@@ -83,7 +83,7 @@
 	fPrevRow = 0;
 }
 
-inline void QcQuasiRowState::Print(ostream &os)
+inline void QcQuasiRowState::Print(std::ostream &os)
 {
   os << "Index(" << fIndex << "),"
      << "ARowIndex(" << fARowIndex << "),"
Index: qoca/QcConstraintRep.cc
===================================================================
--- qoca/QcConstraintRep.cc	(revision 18891)
+++ qoca/QcConstraintRep.cc	(working copy)
@@ -27,6 +27,8 @@
 #include "qoca/QcDefines.hh"
 #include "qoca/QcConstraintRep.hh"
 
+using namespace std;
+
 QcConstraintRep::TId QcConstraintRep::fNextValidId = 1;
 const QcConstraintRep::TId QcConstraintRep::fInvalidId = 0;
 
Index: qoca/QcQuasiRowColStateVector.cc
===================================================================
--- qoca/QcQuasiRowColStateVector.cc	(revision 18891)
+++ qoca/QcQuasiRowColStateVector.cc	(working copy)
@@ -1,6 +1,5 @@
 // Generated automatically from QcQuasiRowColStateVector.ch by /home/pmoulder/usr/local/bin/ch2xx.
 #include "QcQuasiRowColStateVector.hh"
-#line 1 "QcQuasiRowColStateVector.ch"
 // $Id: QcQuasiRowColStateVector.ch,v 1.4 2001/01/30 01:32:08 pmoulder Exp $
 
 //============================================================================//
@@ -39,11 +38,9 @@
 //-----------------------------------------------------------------------//
 // Constructor.                                                          //
 //-----------------------------------------------------------------------//
-#line 63 "QcQuasiRowColStateVector.ch"
 //-----------------------------------------------------------------------//
 // Manipulation functions.                                               //
 //-----------------------------------------------------------------------//
-#line 80 "QcQuasiRowColStateVector.ch"
 #if 0 /* unused */
 
 void
@@ -104,7 +101,6 @@
 //-----------------------------------------------------------------------//
 // Utility functions.                                                    //
 //-----------------------------------------------------------------------//
-#line 155 "QcQuasiRowColStateVector.ch"
 /*
   Local Variables:
   mode:c++
Index: qoca/QcSparseMatrix.hh
===================================================================
--- qoca/QcSparseMatrix.hh	(revision 18891)
+++ qoca/QcSparseMatrix.hh	(working copy)
@@ -27,7 +27,7 @@
 #ifndef __QcSparseMatrixH
 #define __QcSparseMatrixH
 
-#include <vector.h>
+#include <vector>
 #include "qoca/QcDefines.hh"
 #include "qoca/QcMatrix.hh"
 #include "qoca/QcSparseMatrixElement.hh"
Index: qoca/QcDesireValueStore.hh
===================================================================
--- qoca/QcDesireValueStore.hh	(revision 18891)
+++ qoca/QcDesireValueStore.hh	(working copy)
@@ -56,14 +56,14 @@
   //-----------------------------------------------------------------------//
   // Utility functions.                                                    //
   //-----------------------------------------------------------------------//
-  void Print(ostream &os) const;
+  void Print(std::ostream &os) const;
 
 private:
   QcFloatRep *fVariablePtr;
   numT fDesValue;
 };
 
-inline void QcDesireValueStore::Print(ostream &os) const
+inline void QcDesireValueStore::Print(std::ostream &os) const
 {
   fVariablePtr->Print( os);
   os << ":" << fDesValue;
Index: qoca/QcBiMap.hh
===================================================================
--- qoca/QcBiMap.hh	(revision 18891)
+++ qoca/QcBiMap.hh	(working copy)
@@ -2,9 +2,7 @@
 #include "QcBiMap.H"
 #ifndef QcBiMapIFN
 #define QcBiMapIFN
-#line 1 "QcBiMap.ch"
 
-#line 21 "QcBiMap.ch"
 #define TMPL template<class AKey>
 
 
@@ -12,7 +10,6 @@
 
 
 
-#line 39 "QcBiMap.ch"
 #ifndef NDEBUG
 TMPL
 inline void
@@ -23,12 +20,12 @@
       fIndexMap[ i].assertInvar();
       if(fIndexMap[ i].isDead())
 	continue;
-      TIdentifierMap::const_iterator f = fIdentifierMap.find(fIndexMap[i]);
+      typename TIdentifierMap::const_iterator f = fIdentifierMap.find(fIndexMap[i]);
       qcAssertInvar( f != fIdentifierMap.end());
       qcAssertInvar( f->second == i);
     }
 
-  for(TIdentifierMap::const_iterator ii = fIdentifierMap.begin(); ii != fIdentifierMap.end(); ii++)
+  for(typename TIdentifierMap::const_iterator ii = fIdentifierMap.begin(); ii != fIdentifierMap.end(); ii++)
     {
       unsigned ix = ii->second;
       qcAssertInvar( ix < fIndexMap.size());
@@ -52,13 +49,11 @@
 #endif
 
 
-#line 86 "QcBiMap.ch"
 	//-----------------------------------------------------------------------//
 	// BiMap manipulation functions.                                         //
 	//-----------------------------------------------------------------------//
 
 
-#line 93 "QcBiMap.ch"
 TMPL
 inline void
 QcBiMap<AKey>::EraseByIndex(int index)
@@ -84,7 +79,6 @@
 
 
 
-#line 123 "QcBiMap.ch"
 TMPL
 inline void
 QcBiMap<AKey>::SwapByIndex(int i1, int i2)
@@ -99,18 +93,17 @@
   fIndexMap[ i1] = ident2;
   fIndexMap[ i2] = ident1;
 
-  QcBiMap<AKey>::TIdentifierMap::iterator it1 = fIdentifierMap.find( ident1);
+  typename QcBiMap<AKey>::TIdentifierMap::iterator it1 = fIdentifierMap.find( ident1);
   qcAssertPost( it1 != fIdentifierMap.end());
   it1->second = i2;
 
-  QcBiMap<AKey>::TIdentifierMap::iterator it2 = fIdentifierMap.find( ident2);
+  typename QcBiMap<AKey>::TIdentifierMap::iterator it2 = fIdentifierMap.find( ident2);
   qcAssertPost( it2 != fIdentifierMap.end());
   it2->second = i1;
 }
 
 
 
-#line 156 "QcBiMap.ch"
 TMPL
 inline void
 QcBiMap<AKey>::Update(const AKey &ident, int index)
@@ -127,8 +120,8 @@
   fIndexMap[ index] = ident;
 
   // Insert ident->index mapping.
-  TIdentifierMap::value_type ins (ident, index);
-  typedef pair<TIdentifierMap::iterator, bool> insResultT;
+  typename TIdentifierMap::value_type ins (ident, index);
+  typedef std::pair<typename TIdentifierMap::iterator, bool> insResultT;
   dbgPre(insResultT insResult =)
     fIdentifierMap.insert (ins);
 
@@ -144,7 +137,6 @@
 //-----------------------------------------------------------------------//
 
 
-#line 209 "QcBiMap.ch"
 TMPL
 inline AKey &
 QcBiMap<AKey>::Identifier(int index)
@@ -159,7 +151,7 @@
 inline AKey &
 QcBiMap<AKey>::Identifier(char const *n)
 {
-  QcBiMap<AKey>::TIdentifierMap::iterator iIt = fIdentifierMap.begin();
+  typename QcBiMap<AKey>::TIdentifierMap::iterator iIt = fIdentifierMap.begin();
 
   while(iIt != fIdentifierMap.end())
     {
@@ -174,12 +166,11 @@
 
 
 
-#line 242 "QcBiMap.ch"
 TMPL
 inline int
 QcBiMap<AKey>::Index(AKey const &ident) const
 {
-  QcBiMap<AKey>::TIdentifierMap::const_iterator iIt = fIdentifierMap.find( ident);
+  typename QcBiMap<AKey>::TIdentifierMap::const_iterator iIt = fIdentifierMap.find( ident);
   qcAssertPre( iIt != fIdentifierMap.end());
   unsigned ix = iIt->second;
   qcAssertPost( (ix < fIndexMap.size())
@@ -189,12 +180,11 @@
 
 
 
-#line 260 "QcBiMap.ch"
 TMPL
 inline int
 QcBiMap<AKey>::safeIndex(AKey const &ident) const
 {
-  QcBiMap<AKey>::TIdentifierMap::const_iterator iIt = fIdentifierMap.find( ident);
+  typename QcBiMap<AKey>::TIdentifierMap::const_iterator iIt = fIdentifierMap.find( ident);
   if(iIt == fIdentifierMap.end())
     return -1;
   int ix = iIt->second;
@@ -209,25 +199,24 @@
 #ifndef qcNoStream
 TMPL
 inline void
-QcBiMap<AKey>::Print(ostream &os) const
+QcBiMap<AKey>::Print(std::ostream &os) const
 {
-  os << "Map start:" << endl;
+  os << "Map start:" << std::endl;
 
   for (unsigned int i = 0; i < fIndexMap.size(); i++)
-    os << i << " -> " << fIndexMap[i] << endl;
+    os << i << " -> " << fIndexMap[i] << std::endl;
 
-  os << "Reverse Map:" << endl;
-  QcBiMap<AKey>::TIdentifierMap::const_iterator itF;
+  os << "Reverse Map:" << std::endl;
+  typename QcBiMap<AKey>::TIdentifierMap::const_iterator itF;
 
   for (itF = fIdentifierMap.begin(); itF != fIdentifierMap.end(); ++itF)
-    os << (*itF).first << " -> " << (*itF).second << endl;
+    os << (*itF).first << " -> " << (*itF).second << std::endl;
 
-  os << "Map end." << endl;
+  os << "Map end." << std::endl;
 }
 #endif /* !qcNoStream */
 
 
-#line 315 "QcBiMap.ch"
 #undef TMPL
 
 /*
Index: qoca/QcLinEqTableau.cc
===================================================================
--- qoca/QcLinEqTableau.cc	(revision 18891)
+++ qoca/QcLinEqTableau.cc	(working copy)
@@ -34,6 +34,8 @@
 #include "qoca/QcDenseTableauRowIterator.hh"
 #include "qoca/QcDenseTableauColIterator.hh"
 
+using namespace std;
+
 #ifndef NDEBUG
 void
 QcLinEqTableau::assertDeepInvar() const
Index: qoca/QcDelLinEqSystem.hh
===================================================================
--- qoca/QcDelLinEqSystem.hh	(revision 18891)
+++ qoca/QcDelLinEqSystem.hh	(working copy)
@@ -62,7 +62,7 @@
 	// inherited from Solver since variable weights have no effect on        //
 	// QcLinEqSystem::Resolve.                                               //
 	//-----------------------------------------------------------------------//
-	virtual void TransitiveClosure(vector<unsigned int> &vars)
+	virtual void TransitiveClosure(std::vector<unsigned int> &vars)
 		{ fTableau.TransitiveClosure(vars); }
 
 	//-----------------------------------------------------------------------//
